Skip to main content
POST
/
v0
/
open-banking
/
exchange-token
Exchange Plaid Token
curl --request POST \
  --url https://api.sumvin.com/v0/open-banking/exchange-token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "public_token": "<string>",
  "account_ids": [
    "<string>"
  ],
  "set_as_primary": false
}
'
{
  "_links": {},
  "accounts": [
    {
      "id": "<string>",
      "provider": "<string>",
      "account_type": "<string>",
      "status": "<string>",
      "institution_name": "<string>",
      "account_name": "<string>",
      "is_primary": true,
      "balance_currency": "<string>",
      "created_at": 123,
      "institution_logo_url": "<string>",
      "account_mask": "<string>",
      "nickname": "<string>",
      "balance_current": "<string>",
      "balance_available": "<string>",
      "balance_updated_at": 123,
      "consent_expires_at": 123,
      "last_synced_at": 123,
      "connection_id": "<string>",
      "verification_status": "<string>"
    }
  ],
  "item_id": "<string>",
  "accounts_linked": 123
}

Authorizations

Authorization
string
header
required

JWT token from Authorization header (Bearer token)

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-juno-jwt
string | null

JWT token from x-juno-jwt header

Body

application/json
public_token
string
required

Public token from Plaid Link

account_ids
string[] | null

Optional: specific account IDs to link (all if not specified)

set_as_primary
boolean
default:false

Set the first linked account as the user's primary bank account

Response

Accounts linked successfully

HAL-style hypermedia links for navigation and available actions.

accounts
AccountData · object[]
required
item_id
string
required
accounts_linked
integer
required